$1    FUNCTION [dbo].[fn_EldekiMiktar] (@stok_kodu nvarchar(25))
RETURNS float
AS
BEGIN--1:FİŞ 2:SATIŞ FAT 3:İADE 4:BELGE IPTAL  5:ALIŞ FATURASI  9: DEPOLAR ARASI SEVK 13:DEPO GİRİŞ 14:DEPO ÇIKIŞ
DECLARE @VAL As Float
SELECT @VAL=SUM(CASE
WHEN ((evr_belge_tur in (5,3,13,9))) THEN har_miktar
WHEN ((evr_belge_tur in  (1,2,10,14)) OR (evr_belge_tur=9 and evr_cikis_magaza_kod!='' and evr_cikis_magaza_kod is not null )) THEN (-1) * har_miktar
ELSE 0
END)
FROM   dbo.EVRAK_UST_BILGI WITH (NOLOCK)
LEFT OUTER JOIN EVRAK_HAREKET_BILGI  ON EVRAK_UST_BILGI.evr_RECno=har_evrak_rec_id and har_Satir_tip=0
LEFT OUTER JOIN STOK_BARKOD_TANIMLARI ON bar_barkodu=har_barkod and bar_depono=evr_magaza_kod
WHERE har_stok_kodu=@stok_kodu and CONVERT(DATE,evr_evrak_tarih)<= CONVERT(DATE,GETDATE())
IF @VAL is NULL SET @VAL=0
RETURN ROUND(@VAL,8)
END